[
  {"version":1},
  {"ingredient":{"id":"pixelmon:ultra_space_teleporter"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:legend_plate"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"handcrafted:stackable_book"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:blackbadgecase","components":{"pixelmon:badge_case":{"uuid":[-179817105,-654487855,-1710831701,414826568],"owner":{"text":"","extra":[{"text":"","extra":[{"text":"","extra":["ChristianButNot"],"color":"dark_green"}]}],"hoverEvent":{"contents":{"type":"minecraft:player","id":[-179817105,-654487855,-1710831701,414826568],"name":"ChristianButNot"},"action":"show_entity"},"insertion":"ChristianButNot","clickEvent":{"action":"suggest_command","value":"/tell ChristianButNot "}},"text_color":0,"badges":[{"id":"pixelmon:wave_badge","count":1}]}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:echo_shard"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"chisel:noborder/glass"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:poke_ball","components":{"pixelmon:poke_ball":"chronium"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:growth_mulch"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:crystal_block"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:stack_upgrade_tier_3"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:stack_upgrade_tier_4"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"openables:openable_10"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:stack_upgrade_omega_tier"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"justanotherblocksmod:polished_yellowstone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"justanotherblocksmod:cobbled_yellowstone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedstorage:basic_to_gold_tier_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedstorage:basic_to_iron_tier_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:birch_trapdoor"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:armadillo_scute"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterenderpearls:enriched_enderpearl"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterenderpearls:advanced_enderpearl"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterenderpearls:technical_enderpearl"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterenderpearls:expensive_enderpearl"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterenderpearls:energized_enderpearl"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterenderpearls:immortal_enderpearl"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:relic_crown"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:steel_gold_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"moremetals:iron_dust"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"moremetals:steel_dust"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"moremetals:steel_ingot"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:steel_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"constructionstick:netherite_stick"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"constructionstick:diamond_stick"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"constructionstick:iron_stick"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"constructionstick:copper_stick"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"constructionstick:wooden_stick"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:diamond"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedstorage:iron_chest","components":{"sophisticatedstorage:wood_type":"oak"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedstorage:chest","components":{"sophisticatedstorage:wood_type":"oak"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:lever"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"kubejs:badge1"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:steel_forge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:steel_furnace"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:poke_ball_lid","components":{"pixelmon:poke_ball":"ultra_ball"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:iron_backpack","components":{"sophisticatedcore:number_of_inventory_slots":27,"sophisticatedcore:storage_uuid":[392058420,-1136899787,-1195998056,-1910514722],"sophisticatedcore:number_of_upgrade_slots":3,"sophisticatedcore:render_info_tag":{"upgradeItems":[{},{},{}]}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:backpack"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:iron_conductor_block"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:iron_furnace"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:iron_backpack","components":{"sophisticatedcore:number_of_inventory_slots":27,"sophisticatedcore:number_of_upgrade_slots":3}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:furnace"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:poke_ball","components":{"pixelmon:poke_ball":"ultra_ball"}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:rising_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:water_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:trio_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:psychic_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:iceberg_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:fairy_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:cliff_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:icicle_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:coraleye_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:kasai_badge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"waystones:waystone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"waystones:mossy_waystone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"waystones:sandy_waystone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"waystones:deepslate_waystone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"waystones:blackstone_waystone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"waystones:end_stone_waystone"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"enderstorage:ender_chest","components":{"enderstorage:frequency":{"right":"brown","left":"brown","middle":"brown"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:iron_backpack"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:gold_backpack"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:diamond_backpack"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:advanced_ore_processing_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"betterfurnacesreforged:ore_processing_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedstorage:decoration_table"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:survival_infinity_upgrade"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:birch_door"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:netherite_backpack"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"sophisticatedbackpacks:copper_backpack"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"dyemonds:red_diamond"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:copper_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:iron_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:gold_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:diamond_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:emerald_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:flaris_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:netherite_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:enderized_coal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"resourcefuels:iron_coal_block"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:fossil_machine"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:root_fossil"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:sail_fossil"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:helix_fossil"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:dome_fossil"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:covered_fossil_4"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:covered_fossil_14"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:covered_fossil_5"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"pixelmon:covered_fossil_6"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:mangrove_planks"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:bamboo_button"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:oak_door"},"type":"item_stack","bookmarkType":"INGREDIENT"}
]